package com.notuvy.gui;

import java.lang.annotation.ElementType;
import java.lang.annotation.Target;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;

/**
 * A labelled (no arg) method that performs a GUI action.
 *
 * User: murali
 * Date: Nov 2, 2011
 * Time: 9:41:30 AM
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface GuiAction {
    String value();
}
