package com.notuvy.util;

import org.apache.log4j.Logger;

import java.util.Date;

/**
 * Note: This class is legacy logic here to support old code.  It probably should be deprecated.
 *
 * This class represents a template string with replaceable tokens.  If it contains a substring
 * like "abc [TOKEN] def", a substitution can be performed by calling first("TOKEN", "ghi") and
 * convert it to "abc ghi def".
 *
 * User: murali
 * Date: Apr 15, 2010
 * Time: 10:05:36 AM
 */
public class ReplaceableString {

    //------------------------------------------------------------
    //- Class Variables

    private static final Logger LOG = Logger.getLogger(ReplaceableString.class);


    //------------------------------------------------------------
    //- Class Functions


    //------------------------------------------------------------
    //- Instance Variables

    private String fResult;


    //------------------------------------------------------------
    //- Constructors

    public ReplaceableString(String pInitial) {
        fResult = pInitial;

        all("TIMESTAMP", new Date());
    }


    //------------------------------------------------------------
    //- Getters

    public String getResult() {
        return fResult;
    }


    //------------------------------------------------------------
    //- Settors

    private void setResult(String pResult) {
        fResult = pResult;
    }


    //------------------------------------------------------------
    //- Private/Protected Utility Functions


    //------------------------------------------------------------
    //- Public Interface Functions

    public void first(String token, Object object) {
        String pattern = "\\[" + token + "\\]";
        String value = String.valueOf(object);
        try {
            setResult(getResult().replaceFirst(pattern, value));
        } catch (Exception ex) {
            LOG.error("Problem with [" + getResult() + "]", ex);
        }
    }


    public void all(String token, Object object) {
        String pattern = "\\[" + token + "\\]";
        String value = String.valueOf(object);
        try {
            setResult(getResult().replaceAll(pattern, value));
        } catch (Exception ex) {
            LOG.error("Problem with [" + getResult() + "]", ex);
        }
    }


    //------------------------------------------------------------
    //- Class Interface Functions


    //------------------------------------------------------------
    //- Inner Classes


    //------------------------------------------------------------
    //- Main

}
