package com.notuvy.xml;

/**
 * An entity that can save a SimpleJdom to persistent storage.
 * 
 * User: murali
 * Date: Dec 14, 2011
 * Time: 9:28:27 AM
 */
public interface XmlStorable {

    boolean isOnlySaveIfChanged();

    void setOnlySaveIfChanged(boolean pOnlySaveIfChanged);

    boolean read();
    boolean readIfStoredImageExists();
    boolean readOrCreate();

    boolean save();

    boolean delete();
}
