package com.notuvy.condtrig;

/**
 * The logical inverse of a term.
 *
 * @author murali
 */
public class Not extends Expression {

    //------------------------------------------------------------
    //- Class Variables


    //------------------------------------------------------------
    //- Class Functions

    public static Not of(Expression pTerm) {
        return new Not(pTerm);
    }


    //------------------------------------------------------------
    //- Instance Variables

    private final Expression fTerm;


    //------------------------------------------------------------
    //- Constructors

    private Not(Expression pTerm) {
        super (!pTerm.getValue());

        pTerm .setParent(this);
        fTerm = pTerm;
    }


    //------------------------------------------------------------
    //- Gettors

    //------------------------------------------------------------
    //- Settors


    //------------------------------------------------------------
    //- Private/Protected Utility Functions


    //------------------------------------------------------------
    //- Public Interface Functions


    //------------------------------------------------------------
    //- Class Interface Functions

    protected void recalculate() {
        setValue(!fTerm.getValue());
    }

    @Override
    public String toString() {
        return "!" + fTerm;
    }


    //------------------------------------------------------------
    //- Inner Classes


    //------------------------------------------------------------
    //- Main


}
