package com.notuvy.sgml;

import java.io.Writer;
import java.io.IOException;

/**
 * Text contained in SGML.
 *
 * @author murali
 */
public class SgmlText implements Writable {

    //------------------------------------------------------------
    //- Class Variables


    //------------------------------------------------------------
    //- Class Functions


    //------------------------------------------------------------
    //- Instance Variables

    private final String fText;


    //------------------------------------------------------------
    //- Constructors

    public SgmlText(String pText) {
        fText = pText;
    }


    //------------------------------------------------------------
    //- Gettors


    //------------------------------------------------------------
    //- Settors


    //------------------------------------------------------------
    //- Private/Protected Utility Functions


    //------------------------------------------------------------
    //- Public Interface Functions


    //------------------------------------------------------------
    //- Class Interface Functions

    public void write(StringBuilder pBuilder) {
        pBuilder.append(fText);
    }

    public void write(Writer pWriter) throws IOException {
        pWriter.write(fText);
    }

    @Override
    public String toString() {
        return String.format("Text[%s]", fText);
    }


    //------------------------------------------------------------
    //- Inner Classes


    //------------------------------------------------------------
    //- Main


}
